Package | Class | Tree | Deprecated | Index | Help
| JMS 1.1 - April 12, 2002
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jms
Interface XAQueueSession

All Superinterfaces:
  java.lang.Runnable, Session, XASession

public interface XAQueueSession
extends XASession

An `XAQueueSession` provides a regular `QueueSession`, which can be used to create `QueueReceiver`, `QueueSender`, and `QueueBrowser` objects (optional).

The `XAQueueSession` interface is optional. JMS providers are not required to support this interface. This interface is for use by JMS providers to support transactional environments. Client programs are strongly encouraged to use the transactional support available in their environment, rather than use these XA interfaces directly.

Version:
  1.1 - February 2, 2002
Author:
  Mark Hapner, Rich Burridge, Kate Stout
See Also:
  `XASession`

Fields inherited from interface javax.jms.Session
`AUTO_ACKNOWLEDGE, CLIENT_ACKNOWLEDGE, DUPS_OK_ACKNOWLEDGE, SESSION_TRANSACTED`

Method Summary
`QueueSession` | `getQueueSession()` Gets the queue session associated with this `XAQueueSession`.

Methods inherited from interface javax.jms.XASession
`commit, getSession, getTransacted, getXAResource, rollback`

Methods inherited from interface javax.jms.Session
`close, createBrowser, createBrowser, createBytesMessage, createConsumer, createConsumer, createConsumer, createDurableSubscriber, createDurableSubscriber, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createProducer, createQueue, createStreamMessage, createTemporaryQueue, createTemporaryTopic, createTextMessage, createTextMessage, createTopic, getAcknowledgeMode, getMessageListener, recover, run, setMessageListener, unsubscribe`

Method Detail

### getQueueSession

    public QueueSession getQueueSession()
                                 throws JMSException

  Gets the queue session associated with this `XAQueueSession`.
  Returns:
    the queue session object
  Throws:
    `JMSException` - if an internal error occurs.

Package | Class | Tree | Deprecated | Index | Help
| JMS 1.1 - April 12, 2002
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JMS 1.1 - April 12, 2002